Subject: bug#18828: closed (Re: bug#18828: 24.4; Early collision warning when 'create-lockfiles' is set to nil)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 May 2015 09:23:02 +0000

Your bug report

#18828: 24.4; Early collision warning when 'create-lockfiles' is set to nil

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18828: 24.4; Early collision warning when 'create-lockfiles' is set to nil
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Fri, 08 May 2015 12:22:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 4 May 2015 23:12:54 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > Here you go (if no one objects, I will push this in a few days):
> 
> Hi Eli,
> 
> I've tested your patch and seems to fix the problem.
> 
> Thank you so much.

Thanks, I pushed it.

Subject: 24.4; Early collision warning when 'create-lockfiles' is set to nil
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Sat, 25 Oct 2014 17:07:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:
0. emacs -Q
1. Eval: (setq create-lockfiles nil)
2. Visit some file
3. With another program, update the visited file.
4. Try to make some change to the buffer.

------------

Without step 1, Emacs does TRT, i.e., it detects that I'm trying to
make the first change to a buffer whose file has already changed since
it was visited, so it warns me with:

 foo changed on disk; really edit the buffer? (y, n, r or C-h)

But with step 1, Emacs doesn't warn me until I try to save the buffer;
then it shows me this:

  foo has changed since visited or saved.  Save anyway? (yes or no)

(BTW: the above message does not get archived in the *Messages*
buffer.  Why not?  I think it should, as with the first warning)

Well, I think that Emacs should warn me on step 4, regardles of
whether I did step 1 or not.

I set `create-lockfiles' to nil in my init file because I don't want
Emacs to create temporary files of any kind, but obviously I want to
be warned whenever I am about to change a buffer whose file has
changed on disk after it was last read by Emacs.

I observe this bug both with the last 24.4 release and with the trunk.

In GNU Emacs 24.4.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.3.9600
Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

-- 
Dani Moncayo